/*
 * digital_clock_mode.cc
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "digital_clock_mode.h"
#include "display.h"
#include "text_renderer.h"


DigitalClockMode::DigitalClockMode()
	:
	MinorMode( 2 )
{
}


void DigitalClockMode::draw( int segment )
{
	TextRenderer::draw_scroll( segment );
}


void DigitalClockMode::press()
{
	MinorMode::press();

	set_message();
}


void DigitalClockMode::activate()
{
	MinorMode::activate();

	Display::leds_off();

	set_message();
}


void DigitalClockMode::set_message()
{
	PString &str = TextRenderer::get_pstring();
	str.begin();
	str.print( "Mode " );
	str.print( get_flavour() );
}
