/*
 * display.cc
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "display.h"
#include "Arduino.h"


void Display::led( int led, bool on )
{
	if( led < 0 || led > 9 ) return;

	// convert to pin no.
	led += 4;

	// pin 4 needs to be inverted (it's driving a PNP)
	if( led == 4 ) on = !on;

	digitalWrite( led, on? HIGH : LOW );
}


void Display::leds_off()
{
	for( int a = 0; a < 10; a++ )
		led( a, false );
}
