/*
 * minor_mode.cc
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "minor_mode.h"


MinorMode::MinorMode( int num_flavours )
    :
	_num_flavours( num_flavours )
{
}


void MinorMode::press()
{
	if( ++_flavour >= _num_flavours )
		_flavour = 0;
}


void MinorMode::activate()
{
	_flavour = 0;
}


int MinorMode::get_flavour()
{
	return _flavour;
}


Drawer &MinorMode::get_drawer()
{
	return *this;
}
