/*
 * text_renderer.h
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef _TEXT_RENDERER_H_
#define _TEXT_RENDERER_H_


#include <PString.h>


namespace TextRenderer
{
	/**
	 * Retrieve the PString that is used to render text with the intention of
	 * changing it. This resets the text services.
	 *
	 * @param message the message
	 */
	PString &get_pstring();

	/**
	 * Call at the start of each frame.
	 */
	void draw_reset();

	/**
	 * Draw segment using automatic scrolling.
	 */
	void draw_scroll( int segment );

};


#endif //_TEXT_RENDERER_H_
